Discussion about the internationalization and localization of ProcessMaker

Moderators: ArturoRobles, ArturoRobles

By bishradi
#11758
hello,

i am trying to install the arabic language file named processmaker.ar.po which is the latest arabic translation found on sourceforge however i am getting the following error message:

This file is not a valid PO file. (X-Poedit-Language meta doesn't exist)

is there a solution for installing the arabic language and also how do i enable the RTL skin?

thank you very much.
Attachments
Untitled.png
Untitled.png (139.8 KiB) Viewed 1733 times
User avatar
By amosbatto
#11763
The new 2.0 version of PM has redesigned the way skins work, and the old "rtl" skin isn't compatible, so it was removed from version 2.0-8. I am told that the developers will eventually implement an new rtl skin, but I can't tell you when.
User avatar
By amosbatto
#11765
The problem with the translation file is the header (the first record in the PO file). To fix the translation file, open it with a plain text editor and change the header to:
Code: Select all
# additionalTables/additionalTablesData.xml?EDIT
# additionalTables/additionalTablesData.xml
msgid ""
msgstr ""
"Project-Id-Version: ProcessMaker\n"
"POT-Creation-Date: \n"
"PO-Revision-Date: \n"
"Last-Translator: Muhammad Elkharashy\n"
"Language-Team: Colosa Developers Team <[email protected]>\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=utf-8\n"
"Content-Transfer-Encoding: 8bit\n"
"X-Poedit-Language: Arabic\n"
"X-Poedit-SourceCharset: utf-8\n"
Then you should be able to import it.

Hello, I'm trying to make a HTML page in which a[…]

IOS PUSH Notification

Latest Mobileios.pem already get its SSL cert expi[…]

Enabling SQL Server in Windows

Nice. https://360digitmg.com/india/ethical-hacking[…]

PM 3.5.0 supports MySQL 5.7.X configurations with […]